OpenNMS API 1.2.9

## org.opennms.netmgt.notifd
Class JavaMailNotificationStrategy

    java.lang.Object
      org.opennms.netmgt.notifd.JavaMailNotificationStrategy

All Implemented Interfaces:
  NotificationStrategy

public class JavaMailNotificationStrategy
extends java.lang.Object
implements NotificationStrategy

Implements NotificationStragey pattern used to send notifications via the Java Mail API.

Author:
  David Hustace

Field Summary
`(package private) org.apache.log4j.Category` `log`

Constructor Summary
`JavaMailNotificationStrategy()`

Method Summary
`private JavaMailer` `buildMessage(java.util.List arguments)` This method extracts the to, subject, and message text from the parameters passed in the notification.
`int` `send(java.util.List arguments)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    org.apache.log4j.Category log

Constructor Detail

### JavaMailNotificationStrategy

    public JavaMailNotificationStrategy()

Method Detail

### send

    public int send(java.util.List arguments)

  Specified by:
    `send` in interface `NotificationStrategy`

### buildMessage

    private JavaMailer buildMessage(java.util.List arguments)

  This method extracts the to, subject, and message text from the parameters passed in the notification.

  Parameters:
    `arguments` -

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.